For the complete documentation index, see llms.txt. This page is also available as Markdown.

Manage Favorites

Manage favorite elementals

Add or remove elementals from your favorites list.

Favorite Elemental

post

Adds an elemental to the user's favorites.

Authorizations
x-api-keystringRequired

API Key authentication. Get your key at snackprompt.com/api-keys.

Example: x-api-key: sk-your-api-key-here

Path parameters
elemental_idstringRequired
Responses
200

Elemental favorited

No content

post/v1/elemental/{elemental_id}/favorite
cURL
curl -X POST "https://api-integrations.snackprompt.com/v1/elemental/abc123/favorite" \
  -H "x-api-key: YOUR_API_KEY"
200

Elemental favorited

No content

Unfavorite Elemental

delete

Removes an elemental from the user's favorites.

Authorizations
x-api-keystringRequired

API Key authentication. Get your key at snackprompt.com/api-keys.

Example: x-api-key: sk-your-api-key-here

Path parameters
elemental_idstringRequired
Responses
200

Elemental unfavorited

No content

delete/v1/elemental/{elemental_id}/favorite
cURL
curl -X DELETE "https://api-integrations.snackprompt.com/v1/elemental/abc123/favorite" \
  -H "x-api-key: YOUR_API_KEY"
200

Elemental unfavorited

No content

Last updated

Was this helpful?